#include "colors.inc"
#include "textures.inc"

camera {
        location <-2,15, -30>   // 0,.1, -20
        direction <0.0, 0.0, 2.0>
        up  <0.0, 1.0, 0.0>
        right <4/3, 0.0, 0.0>
        look_at <3.5, 7, 0>
       }

// Licht 
light_source { <  0,20,-20> color red .7 green .7 blue .7 }
light_source { < 60,20,550> color red 1 green 1 blue 1 }
light_source { <-60,20,550> color red .9 green .9 blue 1 }
light_source { <  0,20,500> color red .9 green .9 blue 1 }
light_source { < 50,20,450> color red 1 green 1 blue 1 }
light_source { <-50,20,450> color red 1 green 1 blue 1 }
light_source { <  0,20,400> color red 1 green 1 blue 1 }
light_source { < 50,20,350> color red 1 green 1 blue 1 }
light_source { <-50,20,350> color red 1 green 1 blue 1 }
light_source { <  0,20,300> color red 1 green 1 blue 1 }

light_source { < 40,40,250> color red 1 green 1 blue 1 }
light_source { <-40,40,250> color red 1 green 1 blue 1 }
light_source { <  0,40,200> color red 1 green 1 blue 1 }
light_source { < 40,40,150> color red 1 green 1 blue 1 }
light_source { <-40,40,150> color red 1 green 1 blue 1 }
light_source { <  0,40,100> color red 1 green 1 blue 1 }
light_source { <  0,40, 50> color red .6 green .6 blue .6 }
light_source { <  0,40,  0> color red .6 green .6 blue .6 }
light_source { <  0,20,-60> color red .6 green .6 blue .6 }

#declare Metal =
                finish
                { metallic
                  ambient .2
                  diffuse .7
                  brilliance 6
                  reflection .25
                  phong .75
                  phong_size 80
                }
#declare body  = #include "body.inc"
#declare body1 = #include "body1.inc"
#declare body2 = #include "body2.inc"

union {
        #include "l-hand.inc"
        #include "l-o-arm.inc"
        #include "glas.inc"
        scale <.6,.6,.6>
        rotate <0,-20,0>
        translate <-2.25,4,0>
      }

#include "air.inc"
#include "balcon.inc"
#include "strand.inc"
#include "zee.inc"
object { body
         rotate <90,180,0>
         translate <10,-19,80>
       }
object { body
         rotate <90,180,0>
         translate <16,-19,80>
       }
// lantaarn 1
object { #include "lantaarn.inc"         
         translate <10,-20,47.5>
       }
// lantaarn 2
object { #include "lantaarn.inc"         
         translate <40,-20,47.5>
       }
object { body1
         rotate <0, 90,0>
         translate <30,-13.75,42>
       }
object { body1
         rotate <0,-90,0>
         translate <-10,-13.75,42>
       }
object { body2
         translate < 15,-12.4,45>
       }
fog { color rgb <.8,.8,.8>
      distance 1000
    }
